## cdbs 0.4.21

=== debian/changelog ===
cdbs (0.4.21) unstable; urgency=low

  * David B Harris <david@eelf.ddts.net>:
    - Add wrapper for dpatch patch system, "dpatch.mk". Must be included after
      "autotools.mk" if the latter is used. Please see dpatch documentation
      for more information, as this wrapper just calls dpatch(1) to do all the
      heavy lifting.

 -- Colin Walters <walters@debian.org>  Mon, 23 Feb 2004 03:22:31 +0000

cdbs (0.4.20) unstable; urgency=low

  * Andres Salomon <dilinger@voxel.net>:
    - New variable DEB_NOEPOCH_VERSION.
    - Use it in debhelper.mk to avoid putting epoch in udeb versions
      (Closes: #232809)

 -- Colin Walters <walters@debian.org>  Sun, 15 Feb 2004 06:16:06 +0000

cdbs (0.4.19) unstable; urgency=low

  * Colin Walters <walters@verbum.org>:
    - Make docbookxml.mk a noop now that catalogs work in sid.

 -- Colin Walters <walters@debian.org>  Wed, 11 Feb 2004 12:59:20 -0500
	

cdbs (0.4.18) unstable; urgency=low

  * Andres Salomon <dilinger@voxel.net>:
    - New variable DEB_DH_ALWAYS_EXCLUDE.
    - Don't generate maintainer scripts for udebs (Closes: #216148)

 -- Colin Walters <walters@debian.org>  Tue, 20 Jan 2004 13:51:20 -0500
	

cdbs (0.4.17) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Add quotes around other DEB_PATCHDIRS_READONLY reference (#227936)
    - Add dh_gconf call to debhelper.mk. 
    - Allow setting DEB_UDEB_PACKAGES before including any rules.

 -- Colin Walters <walters@debian.org>  Tue, 20 Jan 2004 13:51:20 -0500

cdbs (0.4.16) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Move dh_shlibdeps back into binary-makedeb, so that it happens after
      all packages are installed (Closes: #225441)

 -- Colin Walters <walters@debian.org>  Tue, 13 Jan 2004 17:26:22 +0000

cdbs (0.4.15) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Don't lose if DEB_PATCHDIRS_READONLY isn't defined (Closes: #225872)
    - Apply patch from Robert Millan to add some variables like
      DEB_HOST_GNU_TYPE to buildvars.mk.in (Closes: #218862)
    - Apply patch from Robert Millan to add variables for automatically
      rerunning the autotools: DEB_AUTO_UPDATE_LIBTOOL, DEB_AUTO_UPDATE_AUTOMAKE,
      and DEB_AUTO_UPDATE_AUTOCONF.  Beware that these do not have corresponding
      reverse actions in the clean rule.  If you want to avoid your diff being
      bloated, you'll have to use a separate build dir.  (Closes: #217131).

 -- Colin Walters <walters@debian.org>  Wed,  7 Jan 2004 19:18:10 +0000

cdbs (0.4.14) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Apply patch from Nathaniel W. Turner to fix kde.mk's use of
      DEB_BUILDDIR (Closes: #206941).
    - Apply patch from Guillem Jover to make DPATCHLEVEL in
      simple-patchsys.mk actually work (Closes: #220562).
    - Apply patch from Robert Millan to simple-patchsys.mk (Closes: #219132)
      - add DEB_PATCH_SUFFIX variable, to override patch suffix (.patch, .gz, etc)
      - permit overriding DEB_PATCHDIRS variable
      - support for compressed patches (detects .gz|.bz2 and issues proper command)
      - add DEB_PATCHDIRS_READONLY variable. when set to "yes", it will avoid
        writing log files in the patch directory.
    - Actually set CDBS_VERSION (Closes: #223707)
    - Move dh_installdeb, dh_perl, and dh_shlibdeps into the binary-predeb:: hook.
      This way one can hook stuff after the various postinsts and stuff have been
      created in DEBIAN/.  (Closes: #215066).

 -- walters <walters@debian.org>  Mon, 15 Dec 2003 04:50:25 +0000

cdbs (0.4.13) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Build-Depend on docbook-xsl (Closes: #215055).
    - Add configure-time checks for docbook bits and don't build
      the docs if they're not available.
    - Sync up with debhelper's architecture regexp (Closes: #215961)

 -- Colin Walters <walters@debian.org>  Wed, 15 Oct 2003 23:17:01 -0400

cdbs (0.4.12) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Fix is_debug_package logic (Closes: #214327, #214316)

 -- Colin Walters <walters@debian.org>  Mon,  6 Oct 2003 08:48:58 -0400

cdbs (0.4.11) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Don't run dh_makeshlibs and dh_strip for packages ending in -dbg.
    - Don't run dh_installlogcheck if it's not available (Closes: #214271).
    - Add note about debhelper versioning in main docs.

 -- Colin Walters <walters@debian.org>  Sun,  5 Oct 2003 20:47:57 -0400

cdbs (0.4.10) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Add DocBook-ized documentation from debacle <debacle@knorke.in-berlin.de>.
    - Use = instead of := to set DEB_MAKE_INVOKE in autotools.mk; this
      solves a problem with DEB_MAKE_ENVVARS not being used (Closes: #214268).

 -- Colin Walters <walters@debian.org>  Thu,  2 Oct 2003 09:46:11 -0400

cdbs (0.4.9) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Don't pass CFLAGS and CXXFLAGS on the make commandline if we've
      already passed them to ./configure.
    - scripts/list-packages: Only build against architectures matching
      the requested arch exactly.
  * Jeff Bailey <jbailey@debian.org>:
    - make python-distutils honour $(DEB_INSTALL_PYTHON_ALL) and
    $(DEB_INSTALL_PYTHON_$(cdbs_curpkg)).

 -- Colin Walters <walters@debian.org>  Mon, 15 Sep 2003 20:11:06 -0400

cdbs (0.4.8) unstable; urgency=low

  * Stefan Gybas <sgybas@debian.org>:
    - Fixed ignored DEB_ANT_PROPERTYFILE in the Ant class
    - Renamed ANT_OPTS to ANT_ARGS to match Ant's wrapper script and
      documentation
    - Added an example for the Ant class and improved its documentation

 -- Stefan Gybas <sgybas@debian.org>  Wed, 10 Sep 2003 13:21:26 +0200
  

cdbs (0.4.7) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Remove Conflicts: autoconf2.13.  Users of autotools.mk should
      just be aware of the issue.



## cdbs 0.4.21emdebian1

=== debian/changelog ===
cdbs (0.4.21emdebian1) unstable; urgency=low

  * emdebianized 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 26 Oct 2005 19:58:30 +0300

## cdbs 0.4.34ubuntu4

=== guide/Makefile ===
all: html

xmllint-stamp-%: %.xml
	xmllint --xinclude --postvalid --noblanks --noout $<
	touch $@

html: cdbs-doc.html
%.html: %.xml xmllint-stamp-% cdbs-doc-xhtml.xsl
	xsltproc --xinclude -o $@ cdbs-doc-xhtml.xsl $<

tex: cdbs-doc.tex
%.tex: %.xml xmllint-stamp-% cdbs-doc-latex.xsl
	xsltproc --xinclude -o $@ cdbs-doc-latex.xsl $<

dvi: cdbs-doc.dvi
%.dvi: %.tex
# 3 passes to avoid undefined references
	latex $<
	mkindex $<
	latex $<
	latex $<

pdf: cdbs-doc.pdf
%.pdf: %.tex
	pdflatex $<
	pdflatex $<

ps: cdbs-doc.ps
%.ps: %.dvi
	dvips $<

txt: cdbs-doc.txt
%.txt: %.html
	elinks -dump -no-numbering -no-references $< >$@


clean:
	rm -f *.aux *.dvi *.out *.log *.glo *.idx *.ind *.ilg *.lot *.lof *.toc *.tex *.fo

distclean: clean
	rm -f *.html *.pdf *.ps *.txt


.PHONY: all install install-data install-exec uninstall install-info installdirs check installcheck clean distclean maintainer-clean

## cdbs 0.4.21-0.1

=== debian/changelog ===
cdbs (0.4.21-0.1) unstable; urgency=low

  * Non-maintainer upload
  * Ran 'autoreconf -f -i' to fix the build system so that dpatch.mk is
    actually included in the package (Closes: #241504)

 -- Brian Nelson <pyro@debian.org>  Tue, 27 Apr 2004 16:12:15 -0700

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: debhelper (>= 4.1.0),
 docbook-xsl, xsltproc, springgraph, ocaml-native-compilers | ocaml,
 realpath, fakeroot, python-dev, 
Build-Conflicts-Indep: autoconf (<< 2.54)
Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@debian.org>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>
Standards-Version: 3.5.10

Package: cdbs
Architecture: all
Conflicts: build-common
Recommends: autotools-dev, debhelper (>= 4.1.0)
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract
 build system based on Makefile inheritance which is completely
 extensible and overridable.  In other words, CDBS provides a sane set
 of default rules upon which packages can build; any or all rules may
 be overridden as needed.

=== debian/rules ===
#!/usr/bin/make -f 
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002,2003 Colin Walters <walters@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

# cdbs uses itself to build itself.
_cdbs_scripts_path := scripts
_cdbs_rules_path := 1/rules
_cdbs_class_path := 1/class
_cdbs_bootstrap := level0
_cdbs_makefile_suffix := .in
DEB_INDEP_PACKAGES := cdbs
DEB_ARCH_PACKAGES :=
DEB_PACKAGES := $(DEB_INDEP_PACKAGES)
DEB_ALL_PACKAGES := $(DEB_PACKAGES)
include 1/rules/buildvars.mk.in
include 1/rules/debhelper.mk.in
include 1/class/autotools.mk.in

DEB_INSTALL_DOCS_ALL += ChangeLog
DEB_MAKE_CHECK_TARGET := check

## cdbs 0.4.22-1

=== debian/changelog ===
cdbs (0.4.22-1) unstable; urgency=low

  This is the "What?  You want a those bugs FIXED?" release.

  * Jeff Bailey <jbailey@raspberryginger.com>

    - Acknowledge NMU (Closes: #241504), Thanks Brian!

    - Only call dh_link the second time.  (Closes: #224123)
    - Make sure the source package is free of cruft. (Closes: #234100)
    - Call dh_gconf with the right args. (Closes: #234398)
    - Don't know why the docs went away, but they're back.
      (Closes: #2359971)
    - Support DEB_DH_LINK_$(cdbs_curpkg).  (Closes: #242088)

    - Documentation patches, by Michael Wiedmann <mw@miwie.in-berlin.de>
      Thanks!  (Closes: #243356)

    - Work around packages that don't provide trailing /'s where they
      ought to.  Patch by Martin Quinson <Martin.Quinson@tuxfamily.org>
      Thanks!  (Closes: #254125)

    - Fix build env so that make clean and make all aren't overridden,
      just chained to.  (Use -local, not -am).

    - Update my email address.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Fri,  6 Aug 2004 21:48:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  docbook-xsl, xsltproc, springgraph, ocaml-native-compilers | ocaml,
  realpath, fakeroot, python-dev, 
 Build-Conflicts-Indep: autoconf (<< 2.54)
-Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@debian.org>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>
+Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>
 Standards-Version: 3.5.10
 
 Package: cdbs

## cdbs 0.4.26-1ubuntu1

=== debian/changelog ===
cdbs (0.4.26-1ubuntu1) hoary; urgency=low

  * Add cdbs-edit-patch script; similar to dpatch-edit-patch to edit an
    existing patch or create a new one. Does not yet work with tarball.mk,
    use dbs-edit-patch in this case for now.

    Thanks to Martin Pitt for the script!

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu,  3 Mar 2005 17:05:07 -0500

cdbs (0.4.26-1) unstable; urgency=low

  * Add support for Python 2.4.  Thanks to doko for the reminder.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Mon, 20 Dec 2004 00:07:32 -0500

cdbs (0.4.25-1) unstable; urgency=low

  * Only run dh_desktop and dh_gconf if they're there.  For gnome
    packages that are transitioning slowly.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Wed, 20 Oct 2004 10:34:51 -0400

cdbs (0.4.24-1) unstable; urgency=low

  This is the "Make MIME not suck for GNOME" release.

  * Call dh_desktop from gnome.mk.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Wed, 13 Oct 2004 12:58:02 -0400

cdbs (0.4.23-1.1) unstable; urgency=low

  * NMU (on Jeff's request).
  * Set 0.4.23-1.1 as the minimal version that provides the DEB_AUTO_UPDATE\
    _DEBIAN_CONTROL feature introduced in 0.4.23-1.  (this prevents packages
    that use this feature from migrating to testing before cdbs itself)

 -- Robert Millan <rmh@debian.org>  Tue,  5 Oct 2004 01:30:47 +0200

cdbs (0.4.23-1) unstable; urgency=low

  * Thanks to Robert Millan for the NMU's!
    Acknowledging: (Closes: #235961, #268483, #265562, #266982, #267254)

  * Apply Robert's patch to generate config's from config.in.
    (Closes: #272758).  Further tweaked to honour debian/control as a 
    target, and to make sure that cdbs doesn't depend on cdbs.

  * Use this new feature in CDBS.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Fri, 24 Sep 2004 13:34:28 -0400

cdbs (0.4.22-1.4) unstable; urgency=low

  * NMU.
  * Replace config.{guess,sub} with real files instead of symlinks.
    (Closes: #268483)

 -- Robert Millan <rmh@debian.org>  Sun,  5 Sep 2004 19:53:00 +0200

cdbs (0.4.22-1.3) unstable; urgency=low

  * The "Let's try to do it right this time" NMU.
  * Some packages define DEB_AUTO_UPDATE_* variables _after_ including cdbs
    makefiles.  See bug #262295 (last message) for an example.  This is a Bad
    Thing and breaks the compatibility blurb for DEB_AUTO_UPDATE_AUTOMAKE.
    I'm adding Yet Another One compatibility blurb in the actual target.

 -- Robert Millan <rmh@debian.org>  Fri, 27 Aug 2004 13:47:01 +0200

cdbs (0.4.22-1.2) unstable; urgency=low

  * NMU again to correct error introduced in -1.1.  Oops!
  * Always invoke aclocal with _ACLOCAL suffix, not _AUTOMAKE suffix.

 -- Robert Millan <rmh@debian.org>  Fri, 27 Aug 2004 03:22:22 +0200

cdbs (0.4.22-1.1) unstable; urgency=low

  * NMU (with Jeff's permission).
  * Multiple fixes/improvements to DEB_AUTO_UPDATE_* interface.
    (Closes: #265562)
    - Recognise _ACLOCAL, and deprecate _AUTOMAKE for aclocal updates.
    - Be smarter when looking for autoconf 2.50 or 2.13 command.
    - Recognise _AUTOHEADER.
    - Move "_LIBTOOL = post" case to autotools.mk, where it belongs.
    - Improve config.{guess,sub} replacement code to crawl into the source
      directory replacing every instance.  In addition, use symlinks instead
      of copying, which is faster.
  * Add warnings when DEB_AUTO_UPDATE_* variables are used unconsistently.
    These should become errors after the release. (Closes: #267254)
  * Fix DEB_AUTO_UPDATE_ACLOCAL (formerly &_AUTOMAKE) invocation of m4.
    Thanks Andreas Rottmann.  (Closes: #235961)
  * Implement DEB_VERBOSE_ALL option.  (Closes: #266982)

 -- Robert Millan <rmh@debian.org>  Fri, 27 Aug 2004 02:34:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: debhelper (>= 4.1.0),
- docbook-xsl, xsltproc, springgraph, ocaml-native-compilers | ocaml,
- realpath, fakeroot, python-dev, 
+Build-Depends-Indep: docbook-xsl, xsltproc, springgraph, ocaml-native-compilers | ocaml, realpath, fakeroot, python-dev , debhelper (>= 4.1.0)
 Build-Conflicts-Indep: autoconf (<< 2.54)
 Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>
 Standards-Version: 3.5.10

=== test/debian/control ===
Source: cdbs-testsuite
Section: devel
Priority: optional
Maintainer: Jeff Bailey <jbailey@debian.org>
Standards-Version: 3.5.10

Package: cdbs-testsuite
Architecture: any
Description: common build system test suite
 This package is the testsuite for the CDBS build system.  If you've 
 managed to install this, something has gone horribly wrong.

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 DEB_ARCH_PACKAGES :=
 DEB_PACKAGES := $(DEB_INDEP_PACKAGES)
 DEB_ALL_PACKAGES := $(DEB_PACKAGES)
+DEB_AUTO_UPDATE_DEBIAN_CONTROL	:= yes
 include 1/rules/buildvars.mk.in
 include 1/rules/debhelper.mk.in
 include 1/class/autotools.mk.in

## cdbs 0.4.28-1

=== debian/changelog ===
cdbs (0.4.28-1) unstable; urgency=low

  * Merge changes from Ubuntu (0.4.26-1ubuntu1):

  Add cdbs-edit-patch script; similar to dpatch-edit-patch to edit an
  existing patch or create a new one. Does not yet work with tarball.mk,
  use dbs-edit-patch in this case for now.

  Thanks to Martin Pitt for the script!

 -- Jeff Bailey <jbailey@raspberryginger.com>  Wed, 20 Apr 2005 07:59:51 -0400

cdbs (0.4.27-4) unstable; urgency=low

  * 1/rules/buildcore.mk.in
    - Avoid recursive brainfuck with type-handling.  This actualy fixes
      #297269, but we leave it for t-h to close.
    - Don't parse tarballs a gazillon of times to find config.{guess,sub,rpath}
      One shall be enough!

 -- Robert Millan <rmh@debian.org>  Thu, 14 Apr 2005 18:36:04 +0200

cdbs (0.4.27-3) unstable; urgency=low

  * When updating config.* files, pass --remove-destination to cp.  Thanks Christian Aichinger.  (Closes: #297855)
    - 1/rules/buildcore.mk.in
    - 1/rules/tarball.mk.in

 -- Robert Millan <rmh@debian.org>  Thu, 10 Mar 2005 13:29:28 +0100

cdbs (0.4.27-2) unstable; urgency=low

  * Don't fail when dpkg-checkbuilddeps check fails.  (Closes: #295884)
    - 1/rules/buildcore.mk.in

 -- Robert Millan <rmh@debian.org>  Mon, 21 Feb 2005 15:14:42 +0100

cdbs (0.4.27-1) unstable; urgency=low

  * Patch from Loïc Minier to cope with simple-patchsys being included
    despite no patches existing.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Thu, 17 Feb 2005 09:27:17 -0500

cdbs (0.4.26-4) unstable; urgency=low

  * Fix a nasty conflict between cdbs updating config.* files and patches
    attempting to modify them on their own.

    WARNING:  Other patch systems based on cdbs are susceptible to this
    problem and might need similar modifications to the ones done to
    simple-patchsys.mk.

    In buildcore.mk:
      - Move config.* updates to a separate update-config target.
      - Add reverse-config target that reverts update-config using *.cdbs-orig
      backups.
      - Make sure both update-config and reverse-config always keep a copy of
      the old file, and that such "old" file is in sync with the patch system.
      IOW, the "old" file can either be patched or unpatched and the patch
      system is responsible for tracking its state (just like for other files).
      - Add config.rpath to backup recovery routine.

    In simple-patchsys.mk:
      - Always invoke reverse-config before anything else, and update-config
        after appliing/reverting patches.
      - Add weak dependency on patchutils and use lsdiff to issue a big
        warning if a patch is updating config.* files.
      - Handle debian/stamp-patched properly so that both apply-patches and
        reverse-patches targets are idempotent.

    In dpatch.mk:
      - Always invoke reverse-config before anything else, and update-config
        after appliing/reverting patches.
      - Add weak dependency on patchutils and use lsdiff to issue a big
        warning if a patch is updating config.* files.
      - Assuming that dpatch itself is in charge of idempotency in the
        apply/reverse targets.
      - [OT]: add weak dependency on dpatch.

 -- Robert Millan <rmh@debian.org>  Tue,  8 Feb 2005 17:11:42 +0100

cdbs (0.4.26-3) unstable; urgency=low

  * Fix broken parsing of config.* filenames in $(config_all_tar).
  * Add sanity check to prevent bogus use of cpu/system variables.

 -- Robert Millan <rmh@debian.org>  Mon,  7 Feb 2005 17:18:41 +0100

cdbs (0.4.26-2) unstable; urgency=low

  * Add myself to Uploaders.
  * Conditionalise use of --with-alsa in arts.rules example (only used on
    linux-gnu).  (Closes: #293483)
  * Support embedding of shell commands in control.in.  (Closes: #276599)
  * For Cpu/System detection, also understand [cpu: foo] and [system: bar].

 -- Robert Millan <rmh@debian.org>  Sat,  5 Feb 2005 05:21:05 +0100

cdbs (0.4.26-1.3) unstable; urgency=low

  * NMU.
  * Optimise config.* auto-updating feature when working with tarballs.  In
    the previous upload, each tarball was uncompressed three times!
    - 1/rules/buildcore.mk.in

 -- Robert Millan <rmh@debian.org>  Fri,  4 Feb 2005 18:40:31 +0100

cdbs (0.4.26-1.2) unstable; urgency=low

  * NMU.
  * Improvements for updating config.* files. (Closes: #290940)
    - 1/class/autotools-files.mk.in
    - 1/rules/buildcore.mk.in
    - 1/rules/tarball.mk.in
  * Support for Cpu/System fields in control.in. (Closes: #293197)
    - debian/control.in
    - 1/rules/buildcore.mk.in
  * Handle (uncompressed) *.tar files. (Closes: #284101)
    - 1/rules/tarball.mk.in
  * Check for compressed debian/patches/* implicitly. (Closes: #249931)
    - 1/rules/simple-patchsys.mk.in
  * Track autothings in Build-Depends when generating debian/control.
    (Closes: #277672)
    - 1/class/autotools-vars.mk.in
    - 1/class/gnome.mk.in
    - control.in

 -- Robert Millan <rmh@debian.org>  Thu,  3 Feb 2005 10:05:18 +0100

cdbs (0.4.26-1.1) unstable; urgency=low

  * NMU (with Jeff's permission).
  * Add optional DEB_AUTO_CLEANUP_RCS feature to tarball.mk.in
    (Closes: #280365).

 -- Robert Millan <rmh@debian.org>  Mon, 17 Jan 2005 17:50:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: docbook-xsl, xsltproc, springgraph, ocaml-native-compilers | ocaml, realpath, fakeroot, python-dev , debhelper (>= 4.1.0)
+Build-Depends-Indep: , autotools-dev, type-handling (>= 0.2.5), debhelper (>= 4.1.0), docbook-xsl, xsltproc, springgraph, ocaml-native-compilers | ocaml, realpath, fakeroot, python-dev
 Build-Conflicts-Indep: autoconf (<< 2.54)
-Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>
+Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>, Robert Millan <rmh@debian.org>
 Standards-Version: 3.5.10
 
 Package: cdbs

=== test/hdparm/debian/control ===
Source: hdparm
Section: admin
Priority: optional
Maintainer: Christopher L Cheney <ccheney@debian.org>
Build-Depends: cdbs (>> 0.4.5), debhelper (>> 4.0.18)
Standards-Version: 3.6.0

Package: hdparm
Architecture: any
Depends: ${shlibs:Depends}
Suggests: apmd
Replaces: apmd (<= 3.0.2-1.15)
Description: Tune hard disk parameters for high performance
 get/set hard disk parameters for Linux IDE drives.
 Primary use is for enabling irq-unmasking and IDE multiplemode.

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 include 1/rules/buildvars.mk.in
 include 1/rules/debhelper.mk.in
 include 1/class/autotools.mk.in
+include 1/rules/simple-patchsys.mk.in
 
 DEB_INSTALL_DOCS_ALL += ChangeLog
 DEB_MAKE_CHECK_TARGET := check

## cdbs 0.4.28-1osso1

=== debian/changelog ===
cdbs (0.4.28-1osso1) unstable; urgency=low

  * simple-patchsys.mk, dpatch.mk: Don't call update-config after reverting patches.
    Fixes: NB#28860

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 30 May 2006 18:46:43 +0300

cdbs (0.4.28-1osso) unstable; urgency=low

  * dependency to fakeroot removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 31 Mar 2006 00:11:56 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: , autotools-dev, type-handling (>= 0.2.5), debhelper (>= 4.1.0), docbook-xsl, xsltproc, springgraph, ocaml-native-compilers | ocaml, realpath, fakeroot, python-dev
+Build-Depends-Indep: , autotools-dev, debhelper (>= 4.1.0), docbook-xsl, xsltproc, realpath
 Build-Conflicts-Indep: autoconf (<< 2.54)
 Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>, Robert Millan <rmh@debian.org>
 Standards-Version: 3.5.10

## cdbs 0.4.28-1osso3.emdebian7

=== debian/changelog ===
cdbs (0.4.28-1osso3.emdebian7) unstable; urgency=low

  * Really fix debian-dir fixes

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Wed, 25 Oct 2006 12:51:57 +0300

cdbs (0.4.28-1osso3.emdebian6) unstable; urgency=low

  * Added missing dependency to debian-dir

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Mon, 23 Oct 2006 12:09:08 +0300

cdbs (0.4.28-1osso3.emdebian5) unstable; urgency=low

  * integrated osso changes
  * docbook-xml added to build-deps: 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 12 Oct 2006 14:41:18 +0300

cdbs (0.4.28-1.emdebian4) unstable; urgency=low

  * typo in list-packages.in fixed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 18 May 2006 12:28:29 -0500

cdbs (0.4.28-1.emdebian3) unstable; urgency=low

  * cdbs-edit-patch: shell.inc properly included
  * use dpatch for patching, cdbs symplepatchsys does suck.

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 18 May 2006 10:46:59 -0500

cdbs (0.4.28-1.emdebian2) unstable; urgency=low

  * fakeroot under fakeroot misterious problem fixed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 16 May 2006 16:24:40 -0500

cdbs (0.4.28-1.emdebian1) unstable; urgency=low

  * emdebian: use DEBIAN_DIR environment variable for debian dir,
    or debian/ by default

 -- Ed Bartosh <ed@gravitsapa.research.nokia.com>  Sun, 14 May 2006 17:58:43 -0500

cdbs (0.4.28-1osso3) unstable; urgency=low

  * buildcore.mk, makefile.mk:
    Flag sub make rules with +.
    This way the child make can use the job server of the parent make.
    Add .NOTPARALLEL pseudo target: CDBS is not parallel safe.
    Fixes: NB#39456

 -- Eero Häkkinen <eero.hakkinen@nokia.com>  Mon,  4 Sep 2006 10:24:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: , autotools-dev, debhelper (>= 4.1.0), docbook-xsl, xsltproc, realpath
+Build-Depends-Indep: , autotools-dev, debhelper (>= 4.1.0), dpatch, patchutils, docbook-xsl, xsltproc, realpath, debian-dir, docbook-xml
 Build-Conflicts-Indep: autoconf (<< 2.54)
 Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>, Robert Millan <rmh@debian.org>
 Standards-Version: 3.5.10
@@ -10,6 +10,7 @@
 Package: cdbs
 Architecture: all
 Conflicts: build-common
+Depends: debian-dir
 Recommends: autotools-dev, debhelper (>= 4.1.0)
 Description: common build system for Debian packages
  This package contains the Common Debian Build System, an abstract

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 # 02111-1307 USA.
 
+include /usr/share/debian-dir/make.inc
+
 # cdbs uses itself to build itself.
 _cdbs_scripts_path := scripts
 _cdbs_rules_path := 1/rules
@@ -31,7 +33,7 @@
 include 1/rules/buildvars.mk.in
 include 1/rules/debhelper.mk.in
 include 1/class/autotools.mk.in
-include 1/rules/simple-patchsys.mk.in
+include 1/rules/dpatch.mk.in
 
 DEB_INSTALL_DOCS_ALL += ChangeLog
 DEB_MAKE_CHECK_TARGET := check

## cdbs 0.4.28-1osso7.emdebian8

=== debian/changelog ===
cdbs (0.4.28-1osso7.emdebian8) unstable; urgency=low

  * applied the following fixes from Eero Häkkinen <eero.hakkinen@nokia.com>:

  * Makefile.am:
    + Fix documentation generation to function properly.
    + Fix documentation generation to be parallel safe.

  * 1/class/makefile-vars.mk:
    + Include 1/class/parallel.mk to enable parellel builds by default.
  * 1/class/autotools.mk, 1/class/perlmodule-vars.mk:
    + Use DEB_MAKE_JOBS.

  * 1/class/makefile-vars.mk:
    + Add DEB_MAKE_JOBS.
    + Modify DEB_INVOKE_MAKE to use DEB_MAKE_JOBS.
  * 1/class/parallel.mk:
    + Set DEB_MAKE_JOBS based on parallel[=<JOBS>] option in DEB_BUILD_OPTIONS.

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon,  6 Nov 2006 16:46:51 +0200

## cdbs 0.4.30ubuntu3

=== debian/changelog ===
cdbs (0.4.30ubuntu3) breezy; urgency=low

  * Add Suggests for devscripts.  Ubuntu #14928, Debian #327151.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 14 Sep 2005 10:08:39 +0200

cdbs (0.4.30ubuntu2) breezy; urgency=low

  * gnome.mk.in: Don't let the package build fail if intltool-update fails
    (which can happen e. g. with empty po/ directories).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jun 2005 16:05:48 +0200

cdbs (0.4.30ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

  * Drop buildcore.mk.in patches already merged by Robert.

  * Drop unnecessary config.sub/config.guess updates in the testsuite.

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri, 10 Jun 2005 19:28:47 +0000

cdbs (0.4.30) unstable; urgency=low

  * This time do it right.  (Closes: #301692)
    - 1/class/autotools-vars.mk.in

 -- Robert Millan <rmh@debian.org>  Mon, 23 May 2005 20:40:03 +0200

cdbs (0.4.29) unstable; urgency=low

  * The "back from vac" release.

  * Add DEB_PATCHES initialisation.  (Closes: #295250, #296763, #300465)
    - 1/rules/dpatch.mk.in
  * Don't call update-config after reverting patches.  (Closes: #299010)
    - 1/rules/simple-patchsys.mk.in
    - 1/rules/dpatch.mk.in
  * Make sure CDBS_BUILD_DEPENDS is _always_ initialised.  (Closes: #308664)
    - 1/rules/buildvars.mk.in: Initialise it with "build-essential".
    - 1/rules/buildcore.mk.in: Strip "build-essential" which isn't needed.
  * Fix minor syntax error in CDBS_BUILD_DEPENDS construction.
    - 1/class/autotools-vars.mk.in
  * Turn patchutils weak dependency into versioned (>= 0.2.25).
    (Closes: #308983)
    - 1/rules/simple-patchsys.mk.in
    - 1/rules/dpatch.mk.in
  * Fix for parsing of double quotes in control file generation.  This is
    related to #301607.  Thanks Jonas Smedegaard.
    - 1/rules/buildcore.mk.in
  * Clean *.log files from each dir listed in $(DEB_PATCHDIRS).  Thanks
    Adeodato Simo.  (Closes: #296984)
    - 1/rules/simple-patchsys.mk.in
  * Add perl-modules support to CDBS_BUILD_DEPENDS.  (Closes: #305488)
    - 1/class/perlmodule.mk.in
  * Add $(DEB_PYTHON_COMPILE_VERSION) to python command.  Thanks Bastian
    Kleineidam.  (Closes: #307342)
    - 1/class/python-distutils.mk.in
  * Fix typo in automake weak dependencies.  (Closes: #301692)
    - 1/class/autotools-vars.mk.in

 -- Robert Millan <rmh@debian.org>  Wed, 18 May 2005 12:52:21 +0200

cdbs (0.4.28-1ubuntu5) breezy; urgency=low

  * gnome.mk.in: 
    - Prefer intltool-update in /usr/bin over the one in the package source
      directory since the latter often have utterly broken default paths.
    - If we have to use intltool-update from the package source, set the
      XGETTEXT environment variable to override the /opt/gnome2/... default.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jun 2005 11:23:20 +0200

cdbs (0.4.28-1ubuntu4) breezy; urgency=low

  * gnome.mk.in: Prefer to use intltool-update if it is available in the
    package or in /usr/bin, and only fall back to calling the po/Makefile if
    it doesn't exist.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  3 Jun 2005 13:23:12 +0200

cdbs (0.4.28-1ubuntu3) breezy; urgency=low

  * debian/control.in: Remove ocaml dependancy.
  * debian/control: Regenerate.

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu,  2 Jun 2005 16:43:13 +0000

cdbs (0.4.28-1ubuntu2) breezy; urgency=low

  * gnome.mk.in: Add common-post-build-arch rule which tries to generate a POT
    file. This requires the presence of $(DEB_BUILDDIR)/intltool-update,
    /usr/bin/intltool-update, or a working "po/Makefile $(domain).pot" rule.
    Does nothing if unsuccessful.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 May 2005 10:14:38 +0200

cdbs (0.4.28-1ubuntu1) breezy; urgency=low

  * remove type-handling build dependency.
  * eliminate the extraneous , from Build-Depends-Indep.  Closes: #294537
  * Add missing build-depends: debhelper.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 11 May 2005 13:58:02 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: , autotools-dev, debhelper (>= 4.1.0), dpatch, patchutils, docbook-xsl, xsltproc, realpath, debian-dir, docbook-xml
+Build-Depends-Indep: build-essential, autotools-dev, debhelper (>= 4.1.0), docbook-xsl, xsltproc, springgraph, realpath, fakeroot, python-dev, debhelper
 Build-Conflicts-Indep: autoconf (<< 2.54)
 Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>, Robert Millan <rmh@debian.org>
 Standards-Version: 3.5.10
@@ -10,7 +10,6 @@
 Package: cdbs
 Architecture: all
 Conflicts: build-common
-Depends: debian-dir
 Recommends: autotools-dev, debhelper (>= 4.1.0)
 Description: common build system for Debian packages
  This package contains the Common Debian Build System, an abstract

## cdbs 0.4.34ubuntu4

=== debian/changelog ===
cdbs (0.4.34ubuntu4) dapper; urgency=low

  * Add dh_iconcache support to KDE class

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sun, 14 May 2006 01:17:36 +1000

cdbs (0.4.34ubuntu3) dapper; urgency=low

  * Add dh_desktop and dh_iconcache support to Xfce class 

 -- Jani Monoses <jani@ubuntu.com>  Thu, 13 Apr 2006 10:45:43 +0300

cdbs (0.4.34ubuntu2) dapper; urgency=low

  * Set NO_PKG_MANGLE during the testsuite run, so we don't fail when
    building subpackages, due to pkgstriptranslations freaking out.
  * Remove the cdbs build-dep from the hdparm test, so it doesn't fail.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Apr 2006 06:06:59 +1000

cdbs (0.4.34ubuntu1) dapper; urgency=low

  * Upgrade to a sligthly newer Debian revision to get some bug fixes. Later
    revisions have more intrusive changes and are inappropriate for Dapper.
    - Fixes dpatch.mk unpatching. Closes LP#34814

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Apr 2006 14:27:52 +0200

cdbs (0.4.34) unstable; urgency=low

  * Removed old FSF address from copyright file
  * Removed spurious leftover confstatMD3O4Y directory
  * Only print "deprecated" warning if variable is actually changed from
    default (closes: #256079)
  * Corrected DEB_COMPRESS_EXCLUDE, DEB_FIXPERMS_EXCLUDE documentation
    (debhelper.mk) (closes: #260531)
  * Cosmetic change to make emacs font-lock happier (buildcore.mk)
    (closes: #317870)
  * Corrected typo in guide (closes: #348536)
  * Use elinks to build better-looking plain-text documentation
    (closes: #330707)
  * Properly (un)indented makefile comments so they don't appear in the
    output (closes: #311464)
  * Removed useless old changelogs
  * Renamed documentation files from .xhtml to .html
  * Integrated guide build better with Automake
  * Eliminated installation of .dbk files
  * Added man page for cdbs-edit-patch and accept --help (closes: #312736)
  * Added Suggests of devscripts (better fix for #327151)
  * Fixed testsuite so that it actually fails if there is an error
  * Added a python-* package to testsuite so the distutils tests actually
    do something; fixed Makefile.am so that they have a chance of being
    called

 -- Peter Eisentraut <petere@debian.org>  Fri, 17 Feb 2006 19:19:02 +0100

cdbs (0.4.33) unstable; urgency=low

  * Added myself to uploaders
  * Allow specifying a makefile (makefile-vars.mk) (closes: #282959)
  * Skip cleaning if DEB_MAKE_CLEAN_TARGET is unset (makefile.mk)
    (closes: #338625)
  * Add unpatch target for dpatch-edit-patch (dpatch.mk) (closes: #284231)
  * Remove debian/patched/ on clean (dpatch.mk) (closes: #285244)
  * Remove leading comma in Build-Depends line (buildcore.mk)
    (closes: #294537)
  * Propagate CPPFLAGS (autotools-vars.mk) (closes: #301667)
  * Recognize "changelog" as upstream changelog name (debhelper.mk)
    (closes: #311517)
  * cdbs-edit-patch: Use debian/rules clean instead of debclean
    (closes: #327151)
  * cdbs-edit-patch: Create debian/patches directory (closes: #344383)
  * Fix typo in documentation (closes: #260408)
  * Add missing parentheses in python-distutils.mk (closes: #281053)

 -- Peter Eisentraut <petere@debian.org>  Sat,  4 Feb 2006 00:07:53 +0100

cdbs (0.4.32ubuntu20) dapper; urgency=low

  * langpack.mk.in: Try to build POT file in help/. Closes: LP#35403

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  7 Apr 2006 11:08:29 +0200

cdbs (0.4.32ubuntu19) dapper; urgency=low

  * 1/class/gnome.mk.in:
    - use dh_iconcache if available.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon,  3 Apr 2006 20:33:57 +0200

cdbs (0.4.32ubuntu18) dapper; urgency=low

  * gnome.mk.in: Check whether the build dir exists before cd'ing into it;
    avoids confusing error message. Closes: LP#5919.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  3 Apr 2006 19:23:35 +0200

cdbs (0.4.32ubuntu17) dapper; urgency=low

  * cdbs-edit-patch: Fix creating debian/patches when it exists.

 -- Raphaël Pinson <raphink@ubuntu.com>  Wed, 29 Mar 2006 10:58:29 +0200

cdbs (0.4.32ubuntu16) dapper; urgency=low

  * cdbs-edit-patch: Create debian/patches before copying contents to tmp.

 -- Raphaël Pinson <raphink@ubuntu.com>  Wed, 29 Mar 2006 00:09:57 +0200

cdbs (0.4.32ubuntu15) dapper; urgency=low

  * cdbs-edit-patch: Create debian/patches when it doesn't exist.

 -- Raphaël Pinson <raphink@ubuntu.com>  Tue, 28 Mar 2006 23:27:56 +0200

cdbs (0.4.32ubuntu14) dapper; urgency=low

  * Add rules/langpack.mk: Factored out language pack tweaks (POT file
    generation, translation domain addition for .desktop/.directory/.server
    files).
  * class/gnome.mk.in: Remove language pack specific tweaks and include
    rules/langpack.mk instead.
  * Add class/xfce.mk.in: New class for XFCE packages; only includes
    langpack.mk for now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 27 Mar 2006 19:20:41 +0200

cdbs (0.4.32ubuntu13) dapper; urgency=low

  * gnome.mk.in:
    - Add gettext domain to .desktop/.server file in binary-predeb stage, not
      in binary-install. This catches some corner cases like in libgnomedb.
    - Fix regexp a bit to be more robust.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Feb 2006 08:35:13 +0100

cdbs (0.4.32ubuntu12) dapper; urgency=low

  * gnome.mk.in: Add translation domain as 'ubuntu-gettext-domain' attribute
    to the oaf_server tag in .sever files. This provides the basis for
    language pack support for .server files.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 Jan 2006 20:49:12 +0100

cdbs (0.4.32ubuntu11) dapper; urgency=low

  * gnome.mk.in: Add translation domain to .directory files, too; gnome-menus
    now has language pack support for .directory files.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 Jan 2006 16:49:30 +0100

cdbs (0.4.32ubuntu10) dapper; urgency=low

  * gnome.mk: 
    - Only try to call intltool-update if the Makefiles actually appear to use
      intltool. This should fix the build failure of gstreamer 0.10 packages.


=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: build-essential, autotools-dev, debhelper (>= 4.1.0), springgraph, ocaml, realpath, fakeroot, python-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, tetex-extra
Build-Conflicts-Indep: autoconf (<< 2.54)
Uploaders: Colin Walters <walters@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Chris Cheney <ccheney@debian.org>, Stefan Gybas <sgybas@debian.org>, Robert Millan <rmh@debian.org>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
Standards-Version: 3.6.2

Package: cdbs
Architecture: all
Conflicts: build-common
Recommends: autotools-dev, debhelper (>= 4.1.0)
Suggests: devscripts, doc-base
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract
 build system based on Makefile inheritance which is completely
 extensible and overridable.  In other words, CDBS provides a sane set
 of default rules upon which packages can build; any or all rules may
 be overridden as needed.

=== test/debian/control ===
--- 
+++ 
@@ -7,5 +7,11 @@
 Package: cdbs-testsuite
 Architecture: any
 Description: common build system test suite
- This package is the testsuite for the CDBS build system.  If you've 
+ This package is part of the testsuite for the CDBS build system.  If you've 
  managed to install this, something has gone horribly wrong.
+
+Package: python-cdbs-testsuite
+Architecture: any
+Description: common build system test suite
+ This package is part of the testsuite for the CDBS build system.  If you've 
+ managed to install this, something has gone horribly wrong.

=== test/hdparm/debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Christopher L Cheney <ccheney@debian.org>
-Build-Depends: cdbs (>> 0.4.5), debhelper (>> 4.0.18)
+Build-Depends: debhelper (>> 4.0.18)
 Standards-Version: 3.6.0
 
 Package: hdparm

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 # 02111-1307 USA.
 
-include /usr/share/debian-dir/make.inc
-
 # cdbs uses itself to build itself.
 _cdbs_scripts_path := scripts
 _cdbs_rules_path := 1/rules
@@ -33,7 +31,6 @@
 include 1/rules/buildvars.mk.in
 include 1/rules/debhelper.mk.in
 include 1/class/autotools.mk.in
-include 1/rules/dpatch.mk.in
+include 1/rules/simple-patchsys.mk.in
 
-DEB_INSTALL_DOCS_ALL += ChangeLog
 DEB_MAKE_CHECK_TARGET := check
